package de.duehl.pentris.logic;

import de.duehl.pentris.logic.field.GameField;
import de.duehl.pentris.ui.gameloop.GameLoopGui;
import de.duehl.swing.logic.Quitter;
import de.duehl.basics.logic.Version;

/**
 * Dieses Interface stellt die reduzierte Verbindung zur Logik für die Gui und
 * andere Klassen dar.
 *
 * @version 1.01     2013-09-06
 * @author Christian Dühl
 */

public interface Logic extends Quitter {

    /** Getter für die Programmversion. */
    Version getVersion();

    /** Getter für das Spielfeld. */
    GameField getField();

    /** Setter für die Gui des Game-Loops, die Gui wird in PentrisGui erstellt. */
    void setGameLoopGui(GameLoopGui gameLoopGui);

    /** Schaltet die Pause an oder aus. */
    void pause();

    /** Lässt den aktuellen Stein so weit Fallen, wie er fallen kann. */
    void freeFall();

    /** Bewegt den aktuellen Stein nach links, falls möglich. */
    void moveStoneLeft();

    /** Bewegt den aktuellen Stein nach rechts, falls möglich. */
    void moveStoneRight();

    /** Dreht den aktuellen Stein. */
    void turnStone();

    /** Bewegt den aktuellen Stein eine Reihe nach unten, falls möglich. */
    void dropStoneOneRow();

    /** Schaltet das Grid an oder aus. */
    void switchGrid();

}
