package de.duehl.pentris.logic.highscore;

import de.duehl.basics.datetime.date.ImmutualDate;

/**
 * Diese Klasse stellt ein Element in der Bestenliste dar.
 *
 * @version 1.01     2014-12-09
 * @author Christian Dühl
 */

public class HighScoreElement {

    /** Name des Spielers. */
    private String name;

    /** Erreichte Punkte des Spielers. */
    private int score;

    /** Datum, an dem der Highscore erreicht wurde. */
    private ImmutualDate date;

    /**
     * Konstruktor.
     *
     * @param name Name des Spielers.
     * @param score Erreichte Punkte des Spielers.
     * @param date Datum, an dem der Highscore erreicht wurde.
     */
    public HighScoreElement(String name, int score, ImmutualDate date) {
        this.name = name;
        this.score = score;
        this.date = date;
    }

    /** Getter für den Name des Spielers. */
    public String getName() {
        return name;
    }

    /** Getter für die erreichten Punkte des Spielers. */
    public int getScore() {
        return score;
    }

    /** Getter für das Datum, an dem der Highscore erreicht wurde. */
    public ImmutualDate getDate() {
        return date;
    }

}
