package de.duehl.pentris.ui;

import de.duehl.pentris.logic.GameType;

/**
 * Dieses Interface stellt die Verbindung von der Logik von Pentris zur
 * grafischen Oberfläche dar.
 *
 * @version 1.01     2013-09-03
 * @author Christian Dühl
 */

public interface Gui {

    /** Fragt den Benutzer, ob das Programm beendet werden soll. */
    boolean askUserToQuit();

    /** Zeigt die Oberfläche an. */
    void show();

    /** Beendet die Oberfläche. */
    void quit();

    /**
     * Fragt den Benutzer, ob er ein neues Spiel anfangen will.
     *
     * @return Spieltyp oder null bei Abbruch durch den Benutzer.
     */
    GameType askUserToStartANewGame();

    /** Holt die Gui in den Vordergrund. */
    void getToFront();

}
