package de.duehl.pentris.ui;

import java.awt.Color;

import de.duehl.swing.ui.colors.Colorizer;
import de.duehl.swing.ui.colors.ElementColors;

/**
 * Diese Klasse hält die Standardfarben der Oberfläche und bietet Methoden,
 * diese sowie spezielle Einfärbungen von Oberflächenkomponenten durchzuführen.
 *
 * @see basics.gui.ui.colors.Colorizer
 *
 * @version 1.01     2013-08-26
 * @author Christian Dühl
 */

public class PentrisColorizer extends Colorizer {

    /* Hier zusätzlich verwendete Farben: */
    public static final String COLOR_DARK_GREY = "COLOR_DARK_GREY";

    /**
     * Fügt dem Colorizer eigene Farbvarianten hinzu. Diese Methode kann
     * überschrieben werden, dann sollte allerdings super.initColors() dort
     * aufgerufen werden.
     */
    @Override
    protected void initColors() {
        super.initColors();
        addNewColortype(
                COLOR_DARK_GREY,
                new ElementColors(
                        new Color(100, 100, 100),
                        new Color(200, 200, 200)
                        )
                );
        overwriteColortype(
                Colorizer.GENERAL,
                new ElementColors(
                        Color.ORANGE,
                        Color.DARK_GRAY
                        )
                );
    }

}
