package de.duehl.pentris.ui.resources;

import de.duehl.swing.ui.resources.IconLoader;

/**
 * Diese Klasse enthält die Kürzel für die Bilddateien, erzeugt einen
 * IconLoader und initialisiert ihn mit den Bildkürzeln und Bildnamen.
 *
 * Es wird erwartet, dass alle Bilder im gleichen Paket wie diese Klasse liegen.
 *
 * @version 1.01     2013-09-02
 * @author Christian Dühl
 */

public class IconDefinitions {

    /** Kürzel für das Bild des Programms. */
    public static final String PROGRAMM_IMAGE = "PROGRAM_IMAGE";

    public static final String PENTRIS_BUTTON = "PENTRIS_BUTTON";
    public static final String TETRIS_BUTTON = "TETRIS_BUTTON";

    /**
     * Erzeugt einen IconLoader mit allen Bilddefinitionen.
     *
     * @return IconLoader
     */
    public IconLoader createIconLoader() {
        IconLoader iconLoader = new IconLoader(this.getClass(),
                PROGRAMM_IMAGE);
        iconLoader.addPictureIdentifier(PROGRAMM_IMAGE, "pentris.png");

        iconLoader.addPictureIdentifier(PENTRIS_BUTTON, "pentris_button.png");
        iconLoader.addPictureIdentifier(TETRIS_BUTTON, "tetris_button.png");

        return iconLoader;
    }

}
