package de.duehl.basics.io.data;

import java.util.List;

/**
 * Dieses Interface steht für eine Methode zum Aufteilen der Zeile einer Datei.
 *
 * Sie kann dann etwa, wenn als Argument
 *     LineSplitter lineSplitter
 * erwartet wird, mit
 *     line -> Text.splitByPipe(line)
 * übergeben werden.
 *
 * Dies stellt eine Alternative zur Verwendung von InputFileParameters dar.
 *
 * @version 1.01     2019-04-17
 * @author Christian Dühl
 */

public interface LineSplitter {

    List<String> split(String line);

}
