package de.duehl.basics.io.textfile;

import de.duehl.basics.io.Charset;

/**
 * Diese Klasse liest eine Liste mit den Texten im Format des DictionaryFiles aus den Zeilen einer
 * normalen Textdatei ein.
 *
 * Das Format sieht wie folgt aus:
 *
 * Englisches Wort
 *     Deutsches Wort 1
 *     Deutsches Wort 2
 *     Deutsches Wort 3
 *     Deutsches Wort 4
 *
 * Kommt in einer Datenzeile weiter hinten das Kommentarzeichen vor, so wird ab dort abgeschnitten
 * und getrimmt.
 *
 * @version 1.01     2019-07-04
 * @author Christian Dühl
 */

public class DictionaryFromNormalTextFileReader extends DictionaryFromTextFileReader {

    /**
     * Konstruktor.
     *
     * @param filename
     *            Name der einzulesenden Datei.
     * @param charset
     *            Kodierung der einzulesenden Datei.
     * @param commentChar
     *            Das Kommentarzeichen.
     */
    public DictionaryFromNormalTextFileReader(String filename, Charset charset,
            String commentChar) {
        super(new StringsFromNormalTextFileReader(filename, charset, commentChar));
    }


}
