package de.duehl.basics.io.textfile;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.junit.Test;

import de.duehl.basics.io.Charset;

public class DictionayrFromTextFileInJarReaderTest {

    @Test
    public void read() {
        Class<?> clazz = this.getClass();
        DictionaryFromTextFileReader reader = new DictionaryFromTextFileInJarReader(
                "DictionaryTestFile.txt", Charset.UTF_8, clazz, "#");
        reader.beQuiet();
        List<List<String>> listOfLists = reader.read();

        assertEquals(3, listOfLists.size());

        List<String> list1 = listOfLists.get(0);
        List<String> list2 = listOfLists.get(1);
        List<String> list3 = listOfLists.get(2);

        assertEquals(5, list1.size());
        assertEquals(3, list2.size());
        assertEquals(2, list3.size());

        assertEquals("Englisches Wort", list1.get(0));
        assertEquals("Deutsches Wort 1", list1.get(1));
        assertEquals("Deutsches Wort 2", list1.get(2));
        assertEquals("Deutsches Wort 3", list1.get(3));
        assertEquals("Deutsches Wort 4", list1.get(4));

        assertEquals("honey", list2.get(0));
        assertEquals("Honig", list2.get(1));
        assertEquals("Liebling", list2.get(2));

        assertEquals("bee", list3.get(0));
        assertEquals("Biene", list3.get(1));
    }


}
