package de.duehl.basics.text.handling;

/*
 * Copyright 2019 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import static org.junit.Assert.*;

import org.junit.Test;

public class BooleanHandlingTest {

    @Test
    public void booleanFalseToString() {
        boolean input = false;
        String actual = BooleanHandling.booleanToString(input);
        String expected = "nein";
        assertEquals(expected, actual);
    }

    @Test
    public void booleanTrueToString() {
        boolean input = true;
        String actual = BooleanHandling.booleanToString(input);
        String expected = "ja";
        assertEquals(expected, actual);
    }

    @Test
    public void stringJaToBoolean() {
        String input = "ja";
        boolean actual = BooleanHandling.stringToBoolean(input);
        boolean expected = true;
        assertEquals(expected, actual);
    }

    @Test
    public void stringNeinToBoolean() {
        String input = "nein";
        boolean actual = BooleanHandling.stringToBoolean(input);
        boolean expected = false;
        assertEquals(expected, actual);
    }

    @Test (expected = IllegalArgumentException.class)
    public void stringWrongToBoolean() {
        String input = "unsinn";
        BooleanHandling.stringToBoolean(input);
    }

}
