package de.duehl.swing.ui.start.tabbars;

import java.awt.Dimension;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTabbedPane;

import de.duehl.swing.ui.GuiTools;
import de.duehl.swing.ui.tabs.bars.growing.GrowingTabbedPane;

public class GrowingTabbedPaneTest {

    private final JFrame frame;
    private final JTabbedPane tabs;

    public GrowingTabbedPaneTest() {
        GuiTools.setNiceLayoutManager();

        frame = new JFrame("Growing Tabbed Pane Test");
        tabs = new GrowingTabbedPane(title -> createNewTab(title));

        frame.add(tabs);
        frame.setSize(new Dimension(400, 200));
    }

    protected void createNewTab(String title) {
        JLabel component = new JLabel(title);
        tabs.addTab(title, component);
    }

    public void setVisible(boolean visible) {
        frame.setVisible(visible);
    }

    public static void main(String[] args) {
        new GrowingTabbedPaneTest().setVisible(true);
    }

}
